<?php
// +----------------------------------------------------------------------+
// | papaan                                                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001,2002,2003 Bitflux GmbH                            |
// +----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or        |
// | modify it under the terms of the GNU General Public License (GPL)    |
// | as published by the Free Software Foundation; either version 2       |
// | of the License, or (at your option) any later version.               |
// | The GPL can be found at http://www.gnu.org/licenses/gpl.html         |
// +----------------------------------------------------------------------+
// | Author: Mike Hommey <mh@glandium.org>                                |
// +----------------------------------------------------------------------+
//
// $Id: header.php,v 1.1 2003/07/09 19:32:49 glandium Exp $

include_once(PAPAAN_BASE.'/components/matcher.php');

/**
* Matches an HTTP Header 
*
* @author   Mike Hommey <mh@glandium.org>
* @version  $Id: header.php,v 1.1 2003/07/09 19:32:49 glandium Exp $
* @package  papaan
*/
class matcher_header extends matcher
{

    function matcher_header (&$sitemap, $config) {

		parent::matcher($sitemap, $config);
    }

	function match($value)
    {
	$tmp = 'HTTP_'.strtoupper(strtr($value,'-','_'));
	if (isset($_SERVER[$tmp])) {
		$matches = array($_SERVER[$tmp],$_SERVER[$tmp]);
	} else {
		$matches = array();
	}
	$this->setMatcherHits($matches);
	if (isset($matches[0])) {
		return True;
	} else {
		return False;
	}
    }
}
