<?php
// +----------------------------------------------------------------------+
// | papaan                                                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001,2002,2003 Bitflux GmbH                            |
// +----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or        |
// | modify it under the terms of the GNU General Public License (GPL)    |
// | as published by the Free Software Foundation; either version 2       |
// | of the License, or (at your option) any later version.               |
// | The GPL can be found at http://www.gnu.org/licenses/gpl.html         |
// +----------------------------------------------------------------------+
// | Author: Mike Hommey <mh@glandium.org>                                |
// +----------------------------------------------------------------------+
//
// $Id: error.php,v 1.1 2003/07/22 20:37:17 glandium Exp $

include_once(PAPAAN_BASE.'/components/selector.php');

/**
* Checks error type
*
* @author   Mike Hommey <mh@glandium.org>
* @version  $Id: error.php,v 1.1 2003/07/22 20:37:17 glandium Exp $
* @package  papaan
*/
class selector_error extends selector
{
	var $current_error = '';

    function selector_error (&$sitemap, $config) {

		parent::selector($sitemap, $config);
		if (isset($sitemap->error['type'])) {
			// Quick and dirty way ; should check more cleanly if there's no garbage in configuration
			$xpath = xpath_new_context($this->config['dom']);
			$xnode = xpath_eval($xpath,'/config/error');
			foreach($xnode->nodeset as $node) {
				if ($sitemap->error['type'] == $node->get_attribute('type')) {
					$this->current_error = $node->get_attribute('name');
					break;
				}
			}
		}
    }

	function test($value)
    {
		return ($value == $this->current_error);
	}
}
