<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsp="http://apache.org/xsp" xmlns:action="http://apache.org/cocoon/action/1.0">
<xsl:param name="namespace-uri">http://apache.org/cocoon/action/1.0</xsl:param>
<xsl:include href="logicsheet-util.xsl"/>

<xsl:template match="action:set-failure">
<xsp:logic>
$this->success = false;
</xsp:logic>
</xsl:template>

<xsl:template match="action:set-success">
<xsp:logic>
$this->success = true;
</xsp:logic>
</xsl:template>

<xsl:template match="action:set-result">
<xsp:logic>
$this->map[<xsl:call-template name="get-string-param"><xsl:with-param name="name">name</xsl:with-param></xsl:call-template>] = <xsl:call-template name="get-string-param"><xsl:with-param name="name">value</xsl:with-param></xsl:call-template>;
</xsp:logic>
</xsl:template>

<xsl:template match="action:get-result">
<xsp:expr>
$this->map[<xsl:call-template name="get-string-param"><xsl:with-param name="name">name</xsl:with-param></xsl:call-template>]
</xsp:expr>
</xsl:template>

</xsl:stylesheet>
